PropertyManager File Reference
`#include <osg/UserDataContainer>`
`#include <osg/ValueObject>`
`#include <osg/ImageSequence>`
`#include <osgGA/GUIEventHandler>`
`#include <osgPresentation/Export>`
`#include <sstream>`

Go to the source code of this file.

## Classes

class | osgPresentation::PropertyManager
struct | osgPresentation::PropertyReader
class | osgPresentation::PropertyAnimation
struct | osgPresentation::ImageSequenceUpdateCallback
struct | osgPresentation::PropertyEventCallback

## Namespaces

namespace | osgPresentation

## Macros

#define | PROPERTYMANAGER 1

## Functions

OSGPRESENTATION_EXPORT const osg::Object * | osgPresentation::getUserObject (const osg::NodePath &nodepath, const std::string &name)
template<typename T>
bool | osgPresentation::getUserValue (const osg::NodePath &nodepath, const std::string &name, T &value)
OSGPRESENTATION_EXPORT bool | osgPresentation::containsPropertyReference (const std::string &str)

## Macro Definition Documentation

## PROPERTYMANAGER

#define PROPERTYMANAGER 1